layout: two-columns
--- |
<div class="entry">
<% if mode == :all_tags %>

<div class="body">
  <h3>All Tags</h3>
  <ul>
  <% tags.each do |tag| %>
    <li><%= link_to tag.name, :tag=>tag %>, <%= tag.posts.length %> posts, <%= tag.pages.length %> pages.</li>
  <% end %>
  </ul>
</div>

<% else %>

<% if tag.has_posts? %>
  <h3>Posts tagged "<%= tag.name %>"</h3>
  <div class="body">
  
  <ul>
  <% tag.posts.each do |post| %>
    <li><b><%= link_to post.title, :post=>post %></b> on <%= post.publish_date.to_s %></li>
  <% end %>
  </ul>
  </div>
<% end %>
<% if tag.has_pages? %>

  <h3>Pages tagged with "<%= tag.name %>"</h3>
  <div class="body">
  <ul>
  <% tag.pages.each do |page| %>
    <li><b><%= link_to page.title, :page=>page %></b></li>
  <% end %>
  </ul>
  </div>
<% end %>

<% end %>
</div>
